<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:20:23 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Interface org.eclipse.papyrus.designer.languages.common.extensionpoints.ILangCodegen (org.eclipse.papyrus.designer.languages.common.extensionpoints 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.eclipse.papyrus.designer.languages.common.extensionpoints.ILangCodegen (org.eclipse.papyrus.designer.languages.common.extensionpoints 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">Package</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/common/extensionpoints/class-use/ILangCodegen.html" target="_top">Frames</a></li>
<li><a href="ILangCodegen.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.eclipse.papyrus.designer.languages.common.extensionpoints.ILangCodegen" class="title">Uses of Interface<br>org.eclipse.papyrus.designer.languages.common.extensionpoints.ILangCodegen</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.common.extensionpoints">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a> in <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subinterfaces, and an explanation">
<caption><span>Subinterfaces of <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a> in <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen2.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen2</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a> that return <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a></code></td>
<td class="colLast"><span class="typeNameLabel">LanguageCodegen.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html#chooseGenerator-java.util.regex.Pattern-org.eclipse.uml2.uml.Classifier-">chooseGenerator</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html?is-external=true" title="class or interface in java.util.regex">Pattern</a>&nbsp;languagePattern,
               org.eclipse.uml2.uml.Classifier&nbsp;classifier)</code>
<div class="block">Interactively choose a generator for a given set of languages (pattern).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a></code></td>
<td class="colLast"><span class="typeNameLabel">LanguageCodegen.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html#getCodegen-java.lang.String-">getCodegen</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;language)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
<div class="block"><span class="deprecationComment">This method is deprecated and kept for compatibility, since there could be more than one generator
    for a given programming language.</span></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a></code></td>
<td class="colLast"><span class="typeNameLabel">LanguageCodegen.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html#getGenerator-java.util.regex.Pattern-java.lang.String-">getGenerator</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html?is-external=true" title="class or interface in java.util.regex">Pattern</a>&nbsp;languagePattern,
            <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;id)</code>
<div class="block">Get a code generator via language and ID.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a></code></td>
<td class="colLast"><span class="typeNameLabel">LanguageCodegen.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html#getGenerator-java.lang.String-">getGenerator</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;language)</code>
<div class="block">Get a code generator via language and ID.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a></code></td>
<td class="colLast"><span class="typeNameLabel">LanguageCodegen.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html#getGenerator-java.lang.String-java.lang.String-">getGenerator</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;language,
            <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;id)</code>
<div class="block">Get a code generator via language and ID.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a> that return types with arguments of type <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">LanguageCodegen.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html#getCodegenList-java.util.regex.Pattern-">getCodegenList</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html?is-external=true" title="class or interface in java.util.regex">Pattern</a>&nbsp;languagePattern)</code>
<div class="block">retrieve a list of code generators for a given language.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">LanguageCodegen.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html#getEligibleGeneratorList-java.util.regex.Pattern-org.eclipse.uml2.uml.Classifier-">getEligibleGeneratorList</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html?is-external=true" title="class or interface in java.util.regex">Pattern</a>&nbsp;languagePattern,
                        org.eclipse.uml2.uml.Classifier&nbsp;classifier)</code>
<div class="block">Get a list of generators that conform a language patterns and are
 eligible for a passe classifier</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a> with parameters of type <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">LanguageCodegen.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html#getID-org.eclipse.papyrus.designer.languages.common.extensionpoints.ILangCodegen-">getID</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a>&nbsp;generator)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><span class="typeNameLabel">GeneratorSelectionDialog.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/GeneratorSelectionDialog.html#updateDescription-org.eclipse.papyrus.designer.languages.common.extensionpoints.ILangCodegen-">updateDescription</a></span>(<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a>&nbsp;codegen)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a> with type arguments of type <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/GeneratorSelectionDialog.html#GeneratorSelectionDialog-org.eclipse.swt.widgets.Shell-java.util.List-">GeneratorSelectionDialog</a></span>(org.eclipse.swt.widgets.Shell&nbsp;parent,
                        <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a>&gt;&nbsp;generatorList)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">Package</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/common/extensionpoints/class-use/ILangCodegen.html" target="_top">Frames</a></li>
<li><a href="ILangCodegen.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
